﻿using Borepin.Base;
using Prism.Navigation;
using System.Threading.Tasks;
using System.Windows.Input;
using Xamarin.Forms;

namespace Borepin.PageModel.AddServerProcess
{
    public class LoginChoosePageModel : PageModelBase
    {
        #region Contructors
        public LoginChoosePageModel(INavigationService navigationService) : base(navigationService)
        {
            LoginPasswordCommand = new Command(LoginPasswordCommandExecuted);
        }
        #endregion

        #region LoadData
        public override Task LoadData()
        {
            IsBusy = false;

            return Task.CompletedTask;
        }
        #endregion

        #region Commands
        private ICommand _LoginPasswordCommand;
        public ICommand LoginPasswordCommand
        {
            get => _LoginPasswordCommand;
            set => SetProperty(ref _LoginPasswordCommand, value);
        }

        private async void LoginPasswordCommandExecuted()
        {
            INavigationResult result = await _NavigationService.NavigateAsync("AddServerProcess_LoginPasswordPage");
            if (!result.Success)
            {
                System.Diagnostics.Debugger.Break();
            }
        }
        #endregion

        #region INavigationAware
        public override void OnNavigatedFrom(INavigationParameters parameters)
        {

        }

        public override void OnNavigatedTo(INavigationParameters parameters)
        {
            IsBusy = false;
        }
        #endregion
    }
}
